Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 206889 - app-office/openoffice-2.3.1-r1 (current stable uses internal copy of vulnerable libicu* libraries)
Summary: app-office/openoffice-2.3.1-r1 (current stable uses internal copy of vulnerab...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: AMD64 Project
URL:
Whiteboard:
Keywords: STABLEREQ
: 210643 210892 212081 (view as bug list)
Depends on: CVE-2007-4770 208699
Blocks:
  Show dependency tree
 
Reported: 2008-01-21 17:00 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2008-03-05 15:35 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-01-21 17:00:32 UTC
flame@enterprise openoffice % qlist openoffice | grep -u libicu
/usr/lib/debug/usr/lib64/openoffice/program/libicudata.so.36.0.debug
/usr/lib/debug/usr/lib64/openoffice/program/libicui18n.so.36.0.debug
/usr/lib/debug/usr/lib64/openoffice/program/libicuuc.so.36.0.debug
/usr/lib/debug/usr/lib64/openoffice/program/libicule.so.36.0.debug
/usr/lib64/openoffice/program/libicui18n.so.36.0
/usr/lib64/openoffice/program/libicudata.so.36.0
/usr/lib64/openoffice/program/libicui18n.so.36
/usr/lib64/openoffice/program/libicuuc.so.36.0
/usr/lib64/openoffice/program/libicule.so.36.0
/usr/lib64/openoffice/program/libicudata.so.36
/usr/lib64/openoffice/program/libicule.so.36
/usr/lib64/openoffice/program/libicuuc.so.36
flame@enterprise openoffice % qlist icu | grep -u libicu
/usr/lib/debug/usr/lib64/libicutu.so.38.1.debug
/usr/lib/debug/usr/lib64/libiculx.so.38.1.debug
/usr/lib/debug/usr/lib64/libicui18n.so.38.1.debug
/usr/lib/debug/usr/lib64/libicule.so.38.1.debug
/usr/lib/debug/usr/lib64/libicuio.so.38.1.debug
/usr/lib/debug/usr/lib64/libicudata.so.38.1.debug
/usr/lib/debug/usr/lib64/libicuuc.so.38.1.debug
/usr/lib64/libiculx.so.38.1
/usr/lib64/libicui18n.so.38.1
/usr/lib64/libicutu.so.38.1
/usr/lib64/libicui18n.so
/usr/lib64/libicuio.so.38.1
/usr/lib64/libicutu.so
/usr/lib64/libiculx.so.38
/usr/lib64/libicuuc.so.38.1
/usr/lib64/libicule.so.38.1
/usr/lib64/libicudata.so.38.1
/usr/lib64/libicui18n.so.38
/usr/lib64/libiculx.so
/usr/lib64/libicuio.so.38
/usr/lib64/libicuuc.so.38
/usr/lib64/libicule.so
/usr/lib64/libicule.so.38
/usr/lib64/libicudata.so
/usr/lib64/libicutu.so.38
/usr/lib64/libicudata.so.38
/usr/lib64/libicuio.so
/usr/lib64/libicuuc.so

Maybe not the best of the ideas? Can we let it use dev-libs/icu instead?
Comment 1 Andreas Proschofsky (RETIRED) gentoo-dev 2008-01-21 22:24:55 UTC
Yes we can and we did this in the past, but actually externally icu-support got broken prior to the 2.3.1-release so we had to back it out (same goes for external STLport). Have to take another look, if this is now resolved (but really wouldn't want to change this in the stable ebuilds).
Comment 2 Diego Elio Pettenò (RETIRED) gentoo-dev 2008-01-21 23:13:07 UTC
cartman from Pardus says that there is a patch to fix that.
Comment 3 Jakub Moc (RETIRED) gentoo-dev 2008-02-03 08:49:02 UTC
Fixed with openoffice-2.3.1-r1 and >=dev-libs/icu-3.8.1
Comment 4 Jakub Moc (RETIRED) gentoo-dev 2008-02-03 08:57:45 UTC
Err, didn't mean to close this, we need this stable for Bug 208001.
Comment 5 Timothy Stotts 2008-02-03 17:21:48 UTC
Building =openoffice-2.3.1-r1 dies when trying to emerge against stable =dev-libs/icu-3.6-r1.  If this openoffice ebuild requires >=icu-3.8, then please adjust ebuild dependencies accordingly in portage. Thanks.

checking for genccode... /usr/sbin/genccode
checking for gencmn... /usr/sbin/gencmn
checking ICU version... OK
checking whether setBreakType is public... configure: error: no. You need a patched ICU with this function public:
make: *** [stamp/build] Error 1
 *           
 * ERROR: app-office/openoffice-2.3.1-r1 failed.
 * Call stack:
 *                    ebuild.sh, line 1701:  Called dyn_compile
 *                    ebuild.sh, line 1039:  Called qa_call 'src_compile'
 *                    ebuild.sh, line   44:  Called src_compile
 *   openoffice-2.3.1-r1.ebuild, line  339:  Called die
 * The specific snippet of code:
 *      make || die "Build failed"
 *  The die message:
 *   Build failed
Comment 6 Christian Faulhammer (RETIRED) gentoo-dev 2008-02-03 17:32:00 UTC
(In reply to comment #5)
> Building =openoffice-2.3.1-r1 dies when trying to emerge against stable
> =dev-libs/icu-3.6-r1.  If this openoffice ebuild requires >=icu-3.8, then
> please adjust ebuild dependencies accordingly in portage. Thanks.

 Has long been done (about six hours), see bug 208699 (hey, it is linked to this bug).  Please sync.
Comment 7 Christian Faulhammer (RETIRED) gentoo-dev 2008-02-04 14:39:08 UTC
x86 stable
Comment 8 Tobias Scherbaum (RETIRED) gentoo-dev 2008-02-04 15:24:21 UTC
ppc stable
Comment 9 Jakub Moc (RETIRED) gentoo-dev 2008-02-19 07:52:01 UTC
*** Bug 210643 has been marked as a duplicate of this bug. ***
Comment 10 Jakub Moc (RETIRED) gentoo-dev 2008-02-20 19:13:00 UTC
*** Bug 210892 has been marked as a duplicate of this bug. ***
Comment 11 Michael Kuhlmann 2008-02-28 14:04:20 UTC
For AMD64, the dependency to ICU seems to be missing completely. After emerging this, openoffice compiles fine.
Comment 12 Jakub Moc (RETIRED) gentoo-dev 2008-03-02 16:07:10 UTC
*** Bug 212081 has been marked as a duplicate of this bug. ***
Comment 13 Andreas Proschofsky (RETIRED) gentoo-dev 2008-03-02 22:52:10 UTC
Still waiting for amd64 on this one...
Comment 14 Angelo Arrifano (RETIRED) gentoo-dev 2008-03-05 14:13:12 UTC
=dev-libs/icu-3.8.1-r1 USE="doc -debug -examples"
=app-office/openoffice-2.3.1-r1 USE="cairo cups dbus firefox gtk pam -binfilter -debug -eds -gnome -gstreamer -java -kde -ldap -mono -odk -seamonkey -sound -webdav -xulrunner"

* Emerges on AMD64.
* Works!

- -

Portage 2.1.4.4 (default-linux/amd64/2007.0, gcc-4.1.2, glibc-2.6.1-r0, 2.6.23-gentoo-r9 x86_64)
=================================================================
System uname: 2.6.23-gentoo-r9 x86_64 AMD Turion(tm) 64 X2 Mobile Technology TL-56
Timestamp of tree: Wed, 05 Mar 2008 09:01:01 +0000
distcc 2.18.3 x86_64-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
app-shells/bash:     3.2_p17-r1
dev-java/java-config: 1.3.7, 2.0.33-r1
dev-lang/python:     2.4.4-r6
dev-python/pycrypto: 2.0.1-r6
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.61-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.18-r1
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.23-r3
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -Os -msse3 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config /var/bind"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/splash /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=k8 -Os -msse3 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="collision-protect distlocks metadata-transfer multilib-strict parallel-fetch sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://213.186.33.37/gentoo-distfiles/"
LANG="en_US"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac acpi alsa amd64 amr amrnb amrwb bash-completion berkdb branding bzip2 cairo cli cracklib crypt cups dbus devhelp divx doc dvd dvdr emerald fam ffmpeg firefox flac fortran gd gdbm gif glade glib glitz gtk gtkspell hal hddtemp iconv imagemagick insecure-savers isdnlog javascript jpeg jpeg2k kqemu libcaca libnotify midi mmx mmxext mp2 mp3 mp4 mpeg mplayer mudflap musicbrainz mysql ncurses nls nptl nptlonly offensive ogg opengl openmp pam pcre png pppd python quicktime readline realmedia reflection samba sdl session smp sndfile sourceview spell spl sse sse2 ssl stream svg syslog taglib tcpd threads truetype type1 unicode v4l v4l2 vhosts vim-syntax vorbis wifi wmp xcomposite xorg xosd xpm xscreensaver xvid zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev synaptics joystick" KERNEL="linux" LCD_DEVICES="xosd" USERLAND="GNU" VIDEO_CARDS="nv nvidia none"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 15 Peter Volkov (RETIRED) gentoo-dev 2008-03-05 15:35:47 UTC
amd64 stable. Fixed.